# DataStructures::MLKeyRef< templateType > Class Template Reference

`#include <DS_Multilist.h>`

List of all members.

## Detailed Description

### template<class templateType>
class DataStructures::MLKeyRef< templateType >

The following is invalid. bool operator<( const MyClass *myClass, const int &inputKey ) {return myClass->value < inputKey;} At least one type has to be a reference to a class MLKeyRef is a helper class to turn a native type into a class, so you can compare that native type against a pointer to a different class Used for he Multilist, when _DataType != _KeyType

The documentation for this class was generated from the following file:

- d:/RakNet-3.x/Source/DS_Multilist.h